export interface LicenseGroup {
  id: string;
  name: string;
  licenses: License[];
}

export interface License {
  name: string;
  id: string;
  start?: string;
  end?: string;
  key: string;
  amount?: number;
}

export interface CreateLicenseDto {
  name: string;
  start: Date | null;
  end: Date | null;
  key: string;
  amount?: number;
  group_id: string;
}

export type CreateGroupDto = Omit<LicenseGroup, "id" | "licenses">;
